<template>
    <Header v-if="showHeader" />
    <router-view />
</template>

<script>
import {defineAsyncComponent, computed} from 'vue';
import {useRoute} from 'vue-router';

export default {
    name: 'App',
    components: {
        Header: defineAsyncComponent(() => import('./components/header/header')),
    },
    setup() {
        const route = useRoute();
        const showHeader = computed(() => !['/login', '/register'].includes(route.path));
        return {showHeader};
    },
};
</script>
